Name:           gtf
Version:        0.2.1
Release:        1%{?dist}.emp1
Summary:        Generic Test Framework
License:        GPL
URL:            http://www.tilab.tuwien.ac.at
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  ocaml >= 4.04.1
BuildRequires:  ocaml-findlib
BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-lablgtk-devel
BuildRequires:  ocaml-batteries-devel

%description
While called generic currently this is a tool for running multiple
choice tests.

%package client
Summary:        GTF Client

%description client
The client executable of GTF.

%prep
%setup -q

%build
dune build -p gtf

%install
opam-installer \
    --prefix=%{buildroot}/%{_prefix} \
    --libdir=%{buildroot}/%{_datarootdir}/%{name} \
    gtf.install
cp doc/* %{buildroot}/%{_datarootdir}/%{name}/.

%files
%{_bindir}/gtf-server
%{_bindir}/gtf-gentest
%{_bindir}/gtf-printest
%{_datarootdir}/%{name}/*

%files client
%{_bindir}/gtf-client
%{_datarootdir}/%{name}/LICENSE
